Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.


Enables subscribable.com users to subscribe to your blog.

What's so great about Subscribable? Why not just use RSS?

You can't build a community using RSS.

Can I customize the Subscribable plugin to fit my own needs?

Of course. Let us know if you need any help!

Requires: 2.2 or higher
Compatible up to: 2.3
Last Updated: 9 years ago
Active Installs: Less than 10


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.